using Godot;

namespace Quadratic.Carto.Craft;

/// <summary>
/// A Vessel is the smallest unit of object in the game that is considered a
/// whole on its own, such as a space station or an astronaut. Connections can
/// be made between vessels, but each vessel is still a separate entity.
/// </summary>
/// <remarks>
/// Vessel is an abstract class, and is meant to be extended by concrete 
/// implementations.
/// </remarks>
public abstract class Vessel { }
